# TODO
# - unpackaged:
# /etc/init.d/tlp
Summary:	Power management tool for Linux
Name:		tlp
Version:	1.0
Release:	1
License:	GPL v2
Group:		Base
Source0:	https://github.com/linrunner/TLP/archive/%{version}.tar.gz?/%{name}-%{version}.tar.gz
# Source0-md5:	2219dbf7e7aec9c5a31d1b5b6e284507
Source1:	%{name}.tmpfiles
URL:		http://linrunner.de/en/tlp/tlp.html
BuildRequires:	rpmbuild(macros) >= 1.673
Requires:	acpid
Requires:	ethtool
Requires:	hdparm
Requires:	pm-utils
Requires:	rfkill
Requires:	wireless-tools
Suggests:	bash-completion-%{name}
Suggests:	smartmontools
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TLP is a power management tool for Linux. It brings you the benefits
of advanced power management without the need to understand every
technical detail.

%package -n bash-completion-%{name}
Summary:	bash-completion for tlp
Group:		Applications/Shells
Requires:	bash-completion >= 2.0
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description -n bash-completion-%{name}
This package provides bash-completion for tlp.

%prep
%setup -q -n TLP-%{version}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install-tlp \
	DESTDIR=$RPM_BUILD_ROOT \
	TLP_SBIN=%{_sbindir} \
	TLP_BIN=%{_bindir} \
	TLP_TLIB=%{_libdir}/tlp-pm \
	TLP_PLIB=%{_libdir}/pm-utils \
	TLP_ULIB=/lib/udev \
	TLP_ACPI=/etc/acpi \
	TLP_NMDSP=/etc/NetworkManager/dispatcher.d \
	TLP_CONF=/etc/default/tlp \
	TLP_SHCPL=%{bash_compdir}

install -d $RPM_BUILD_ROOT{%{_mandir}/{man1,man8},%{systemdtmpfilesdir},%{systemdunitdir},%{_varrun}/%{name}}
cp -p man/{bluetooth,run-on-ac,run-on-bat,wifi,wwan}.1 $RPM_BUILD_ROOT%{_mandir}/man1
cp -p man/{tlp,tlp-stat}.8 $RPM_BUILD_ROOT%{_mandir}/man8

cp -p tlp.service tlp-sleep.service $RPM_BUILD_ROOT%{systemdunitdir}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{systemdtmpfilesdir}/%{name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%systemd_post tlp.service tlp-sleep.service

%preun
%systemd_preun tlp.service tlp-sleep.service

%postun
%systemd_reload

%files
%defattr(644,root,root,755)
%doc README
%config(noreplace) %verify(not md5 mtime size) /etc/default/tlp
/lib/udev/rules.d/85-tlp.rules
%attr(755,root,root) /lib/udev/tlp-usb-udev
%attr(755,root,root) %{_bindir}/bluetooth
%attr(755,root,root) %{_bindir}/run-on-ac
%attr(755,root,root) %{_bindir}/run-on-bat
%attr(755,root,root) %{_bindir}/tlp-pcilist
%attr(755,root,root) %{_bindir}/tlp-stat
%attr(755,root,root) %{_bindir}/tlp-usblist
%attr(755,root,root) %{_bindir}/wifi
%attr(755,root,root) %{_bindir}/wwan
%attr(755,root,root) %{_sbindir}/tlp
%{_mandir}/man1/bluetooth.1*
%{_mandir}/man1/run-on-ac.1*
%{_mandir}/man1/run-on-bat.1*
%{_mandir}/man1/wifi.1*
%{_mandir}/man1/wwan.1*
%{_mandir}/man8/tlp.8*
%{_mandir}/man8/tlp-stat.8*
%attr(755,root,root) %{_libdir}/pm-utils/sleep.d/49tlp
%dir %{_libdir}/tlp-pm
%attr(755,root,root) %{_libdir}/tlp-pm/tlp-functions
%attr(755,root,root) %{_libdir}/tlp-pm/tlp-nop
%attr(755,root,root) %{_libdir}/tlp-pm/tlp-rf-func
%attr(755,root,root) %{_libdir}/tlp-pm/tpacpi-bat
%{systemdtmpfilesdir}/%{name}.conf
%{systemdunitdir}/tlp.service
%{systemdunitdir}/tlp-sleep.service
%dir %{_varrun}/%{name}

%files -n bash-completion-%{name}
%defattr(644,root,root,755)
%{bash_compdir}/bluetooth
%{bash_compdir}/tlp
%{bash_compdir}/tlp-stat
%{bash_compdir}/wifi
%{bash_compdir}/wwan
%changelog
* Tue Aug 22 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tlp.git;a=log;h=master

* Tue Aug 22 2017 Jan Palus <atler@pld-linux.org> 46b7451
- up to 1.0

* Sun Oct 02 2016 Jan Palus <atler@pld-linux.org> 77e74da
- up to 0.9

* Thu Jan 28 2016 Jan Palus <atler@pld-linux.org> b42cf3f
- package tlp-sleep.service

* Mon Aug 17 2015 Elan Ruusamäe <glen@delfi.ee> 64338d9
- install into bash completions 2.0 dir

* Sat Aug 15 2015 Jan Palus <atler@pld-linux.org> 234ab3e
- up to 0.8

* Mon Feb 02 2015 Jan Palus <atler@pld-linux.org> 30eb203
- up to 0.7

* Wed Oct 08 2014 Jan Palus <atler@pld-linux.org> 28c360d
- up to 0.6

* Mon Mar 24 2014 Jan Palus <jan.palus@gmail.com> f3c46d9
- up to 0.5
- adjust for changed variables holding dirs
- DESTDIR is now automatically applied to all destination dirs

* Sat Mar 15 2014 Elan Ruusamäe <glen@delfi.ee> 655ec1f
- noarch bash completions

* Fri Jan 03 2014 Jan Palus <jan.palus@gmail.com> 6990d1c
- up to 0.4.1
- fix tlp-usb-udev permissions

* Fri Sep 20 2013 Jan Palus <jan.palus@gmail.com> 950ce06
- up to 0.4

* Sun Sep 15 2013 Jan Palus <jan.palus@gmail.com> aeddbd3
- up to 0.3.11

* Sun Aug 25 2013 Jan Palus <jan.palus@gmail.com> d8d0f83
- up to 0.3.10.1
- package udev files

* Thu Aug 01 2013 Elan Ruusamäe <glen@delfi.ee> 1aaf975
- cosmetics; note unpackaged files

* Thu Aug 01 2013 Elan Ruusamäe <glen@delfi.ee> 496fc80
- typo

* Sun Jul 21 2013 Jan Palus <jan.palus@gmail.com> d4a04df
- up to 0.3.9
- rel 1
- package bash completion configuration

* Sat Apr 06 2013 Jan Palus <jan.palus@gmail.com> 28ae802
- new

